Select to view content in your preferred language

The version of the binaries in the active Python environment do not match the version of the binaries of the ArcGIS Pro application. Active environ

2966
3
02-17-2021 08:05 PM
by Anonymous User
Not applicable

Hi all,

 

Anyone encountered this before..

when I try to import the arcgis.gis getting error below, i guess this probably because i've applied the patch for the pro. 

=======

The version of the binaries in the active Python environment do

  not match the version of the binaries of the ArcGIS Pro application.

 

Active environment version : 2.5

arcgispro-py3 environment version : 2.6

Tags (1)
0 Kudos
3 Replies
DanPatterson
MVP Esteemed Contributor

I am guessing that you have a clone as well as the arcgis pro environment?

If so, you have to activate the correct environment, or just do what I do... don't clone and install what you need in the base C:\YourInstallFolder\bin\Python\envs\arcgispro-py3 folder.

I wouldn't recommend doing that if you are using any of the "deep" stuff, too many dependencies (issues)


... sort of retired...
by Anonymous User
Not applicable

thanks Dan. Yes.. I did clone the pro environment for developing purpose trying to avoid potential problems to ArcGIS Pro.. 

I

 

0 Kudos
DanPatterson
MVP Esteemed Contributor

make sure you switch into it either using conda, or fire up Pro and change it there (then close Pro)


... sort of retired...